Documentation Index

Fetch the complete documentation index at: https://support.keypro.fi/llms.txt

Use this file to discover all available pages before exploring further.

2025-11-06 14.00 UTC - There are currently no active events. All systems operational.

Get list of SAttributes

Prev Next
Get
/sattrs/groupname/{groupname}/

Operation is used to get a list of some constants.

Constants can be filtered by giving filtering parameters at HTTP querystring (see parameters).

Security
API Key: Token
Header parameter nameAuthorization

Token issued for API consumer.

Path parameters
groupname
stringRequired

Groupname to fetch

Query parameters
offset
integer

Offset to start returning results.

Minimum0
limit
integer

Limit number of results returned. Set to -1 to use maximum limit set in the environment. Default limit will be used if parameter is not specified. Special value -1 is available from product version 3.2.18.

Minimum1
srs
string

Coordinate system used to transform location fields in API responses. This parameter does not apply to locations sent in request query parameters or request bodies.

For locations in requests, use EWKT with SRID. If EWKT is provided without SRID, the system default SRID will be used.

Example: srs=epsg:4326

__any of the object fields__
string

Filters list by selected object field value. Supports structured queries via +__+ delimiter. Supports ending keywords via +__+ delimiter:

  • For string fields: istartswith, startswith, iendswith, endswith, contains, icontains, isnull
  • For numerics: gt, lt, gte, lte, isnull
  • For spatial fields: contains, isnull, within, intersects, disjoint, touches, overlaps, covers, coveredby Examples: +++usage_state__txt__istartswith=in+++ , +++plan__state__txt__startswith=In+++ , +++creation_date__gte=2019-01-02T15:32:01+++, +++location__within=POLYGON ((641503.89 6944059.81, 641406.52 6943933.87, 641369.48 6943772.48, 641474.25 6943704.74, 641873.78 6943735.96, 641848.38 6943975.15, 641607.08 6944167.76, 641653.11 6944102.15, 641503.89 6944059.81))+++ Supports exclusive queries by field value using a not-operator preceding the field lookup: Examples: +++not__type__txt__istartswith=Tie+++ , +++not__id=1390+++
orderby
string

Selects the object field to order the returned objects by. Can be used to sort in reverse order with '-' prefix. Can have several ordering rules separated by comma. Can be used only for object own fields and does not support structured queries. Example: orderby=creator,-creation_date

Responses
200

A result response object.

[
  {
    "description": "Lamp / fixture",
    "groupname": "TYPE",
    "id": 35,
    "name": "TYPE_1_LAMP",
    "numValue": null,
    "orderno": 0,
    "parent": {
      "description": "",
      "groupname": "TYPE_GROUP",
      "id": 32,
      "list_url": "http://example.keypro.fi/keylight_keyuv/api/v2/sattrs/groupname/TYPE_GROUP/",
      "name": "LAMP_GROUP",
      "numValue": null,
      "orderno": 0,
      "txtValue": ""
    },
    "txtValue": ""
  },
  {
    "description": "Blinking lamp",
    "groupname": "TYPE",
    "id": 36,
    "name": "TYPE_1_LAMP_LAMP_BLINKING",
    "numValue": null,
    "orderno": 2,
    "parent": {
      "description": "",
      "groupname": "TYPE_GROUP",
      "id": 32,
      "list_url": "http://example.keypro.fi/keylight_keyuv/api/v2/sattrs/groupname/TYPE_GROUP/",
      "name": "LAMP_GROUP",
      "numValue": null,
      "orderno": 0,
      "txtValue": ""
    },
    "txtValue": ""
  },
  {
    "description": "Wire",
    "groupname": "TYPE",
    "id": 34,
    "name": "TYPE_1_ROPE",
    "numValue": null,
    "orderno": 3,
    "parent": {
      "description": "",
      "groupname": "TYPE_GROUP",
      "id": 32,
      "list_url": "http://example.keypro.fi/keylight_keyuv/api/v2/sattrs/groupname/TYPE_GROUP/",
      "name": "LAMP_GROUP",
      "numValue": null,
      "orderno": 0,
      "txtValue": ""
    },
    "txtValue": ""
  },
  {
    "description": "Foundation",
    "groupname": "TYPE",
    "id": 38,
    "name": "TYPE_2_PEDESTAL",
    "numValue": null,
    "orderno": 2,
    "parent": {
      "description": "",
      "groupname": "TYPE_GROUP",
      "id": 33,
      "list_url": "http://example.keypro.fi/keylight_keyuv/api/v2/sattrs/groupname/TYPE_GROUP/",
      "name": "PILLAR_GROUP",
      "numValue": null,
      "orderno": 1,
      "txtValue": ""
    },
    "txtValue": ""
  },
  {
    "description": "Pole / arm",
    "groupname": "TYPE",
    "id": 37,
    "name": "TYPE_2_PILLAR",
    "numValue": null,
    "orderno": 1,
    "parent": {
      "description": "",
      "groupname": "TYPE_GROUP",
      "id": 33,
      "list_url": "http://example.keypro.fi/keylight_keyuv/api/v2/sattrs/groupname/TYPE_GROUP/",
      "name": "PILLAR_GROUP",
      "numValue": null,
      "orderno": 1,
      "txtValue": ""
    },
    "txtValue": ""
  },
  {
    "description": "Other",
    "groupname": "TYPE",
    "id": 39,
    "name": "TYPE_3_ANOTHER_TASK",
    "numValue": null,
    "orderno": 5,
    "parent": null,
    "txtValue": ""
  },
  {
    "description": "Broken cable",
    "groupname": "TYPE",
    "id": 41,
    "name": "TYPE_CABLE_CABLE",
    "numValue": null,
    "orderno": 6,
    "parent": null,
    "txtValue": ""
  },
  {
    "description": "Excavation",
    "groupname": "TYPE",
    "id": 40,
    "name": "TYPE_EXCAVATION_EXCAVATION",
    "numValue": null,
    "orderno": 4,
    "parent": null,
    "txtValue": ""
  },
  {
    "description": "Group change",
    "groupname": "TYPE",
    "id": 51,
    "name": "TYPE_GROUP_CHANGE",
    "numValue": null,
    "orderno": 8,
    "parent": null,
    "txtValue": ""
  },
  {
    "description": "Maintenance round",
    "groupname": "TYPE",
    "id": 52,
    "name": "TYPE_MAINTENANCE_ROUND",
    "numValue": null,
    "orderno": 9,
    "parent": null,
    "txtValue": ""
  },
  {
    "description": "Pruning",
    "groupname": "TYPE",
    "id": 42,
    "name": "TYPE_PRUNING_PRUNING",
    "numValue": null,
    "orderno": 7,
    "parent": null,
    "txtValue": ""
  },
  {
    "description": "Test type",
    "groupname": "TYPE",
    "id": 81,
    "name": "TYPE_TESTI_TYPE",
    "numValue": null,
    "orderno": 10,
    "parent": null,
    "txtValue": ""
  }
]
Expand All
object
Next
string (url)

Url to next page of SAttribute list. Null if No next page exist

Previous
string (url)

Url to previous page of SAttribute list. Null if No previous page exist

Results
Array of object (SAttribute)

List of fetched SAttribute

object

SAttribute

description
string

Attribute description

groupname
string

Group name of constant

id
integer

Unique id of constant

list_url
string (url)

Url to fetch SAttributes by groupname

name
string

Attribute name

numValue
number (float)

Numeric value

orderno
integer

Order number

txtValue
string

Human readable textual representation

Total
integer

Total number of SAttribute

401

Authentication credentials are missing or invalid

{
  "details": "Authentication credentials were not provided"
}
object

Standard error response payload

details
string

Detailed description of error